#ifndef SPRITES_H
	#define SPRITES_H
	
	#include	"structs.h"
	#include	"zone.h"
	
	#ifdef __cplusplus
	extern "C"{
	#endif
	
	unsigned char GetAnimationSpeed(unsigned short s, unsigned char *a);
	unsigned char DrawAnimation(ZONE *z, BITMAP *l, unsigned short s, unsigned char a, unsigned short frame, char m, unsigned char tr, char *ti, unsigned char AnimationSpeed, short x, short y);
	unsigned char ReadAnimation(unsigned short s, unsigned char *a, unsigned short *frame, char *ti, unsigned char *AnimationSpeed);
	void DrawSprite(ZONE *z, BITMAP *l, unsigned short s, unsigned char ss, char m, unsigned char tr, short x, short y);
	void LoadSprite(unsigned short s, const char *f, ...);
	
	#define MAX_SPRITE_FILES_ALLOWED	320
	
	int SpriteAddressTable[MAX_SPRITE_FILES_ALLOWED];
	int SpriteTableSize;
	unsigned short *SpriteTable;
	
	//int AnimationAddressTable[256];
	//int AnimationSizeTable[256];
	//char *AnimationTable;
	
	#ifdef __cplusplus
	}
	#endif
#endif
